# Списки a и b отсортированы по возрастанию.
def merge(a, b):
    if a == []:
        return b
    elif b == []:
        return a
    else:
        if a[0] < b[0]:
            return [a[0]] + merge(a[1:], b)
        else:
            return [b[0]] + merge(a, b[1:])


def merge_sort(a):
    n = len(a)
    if n <= 1:
        return a
    else:
        a1 = merge_sort(a[0:n // 2])
        a2 = merge_sort(a[n // 2:n])
        return merge(a1, a2)


print(merge_sort([7, 3, 4, 8, 4, 6, 4, 6]))
